%define anolis_release 1
Summary:       ALSA C++ library
Name:          zita-alsa-pcmi
Version:       0.6.1
Release: %{anolis_release}%{dist}
License:       GPLv3+ 
URL:           http://kokkinizita.linuxaudio.org
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

BuildRequires: make
BuildRequires: alsa-lib-devel
BuildRequires: gcc-c++

%description
%{name} is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialize and use a hw: device in mmap mode, and providing
floating point audio data.

%package       devel
Summary:       Development libraries and headers for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      alsa-lib-devel

%description   devel
This package contains the headers and development libraries for %{name}.

%package       utils
Summary:       ALSA utilities using the %{name} library
Requires:      %{name} = %{version}-%{release}
# The following are GPLv2+ licensed:
# /apps/alsa_delay.cc, /apps/alsa_loopback.cc, /apps/mtmd.cc /apps/mtdm.cc
License:       GPLv2+ and GPLv3+

%description   utils
This package contains the headers and development libraries for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

# No -march=native and ldconfig in Makefile and preserve timestamps
sed -i -e '/^CXXFLAGS += -march=native/d' -e '/ldconfig/d' -e 's/install -m/install -p -m/g' source/Makefile
sed -i -e 's/install -m/install -p -m/g' apps/Makefile

# Patch wrong bin destdir (sent upstream by email on 20190803)
sed -i -e 's/install -d $(BINDIR)/install -d $(DESTDIR)$(BINDIR)/' apps/Makefile

%build
%set_build_flags

%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} -C source

# Create symlink to build apps
ln -sf lib%{name}.so.%{version} source/lib%{name}.so

%make_build PREFIX=%{_prefix} CXXFLAGS="${CXXFLAGS} -I../source" LDFLAGS="${LDFLAGS} -L../source" -C apps

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} -C source
%make_install PREFIX=%{_prefix} -C apps
%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/lib%{name}.so.0*

%dir %{abidir}
%{abidir}/lib%{name}.dump

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files utils
%{_bindir}/alsa_delay
%{_bindir}/alsa_loopback

%files doc
%doc AUTHORS README

%changelog
* Sat Mar 25 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.6.1-1
- Init package from upstream
